unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm3 = class(TForm)
    RadioGroup1: TRadioGroup;
    Label1: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses Unit4;

{$R *.dfm}

procedure TForm3.Button1Click(Sender: TObject);
var punkt:integer;
begin
  punkt:=0; //jesli nic nie wybrano to punkt=0
  //za prawidlowa odpowiedz 1 punkt
  case Radiogroup1.ItemIndex of
  0: punkt:=0;
  1: punkt:=1;
  2,3: punkt:=0;
  end;
 // suma_punktow:=suma_punktow+punkt;
  //lub
  Form4.Label1.Caption:=InttoStr(StrtoInt(Form3.Label1.Caption)+punkt);
  Form4.Show;
  Radiogroup1.ItemIndex:=-1;  //wykasowanie zaznaczenia
  Form3.Hide;//Visible:=false;
end;


end.
